Package org.apache.nutch.scoring.webgraph

## Class LinkDumper.LinkNodes

- java.lang.Object
- - org.apache.nutch.scoring.webgraph.LinkDumper.LinkNodes

- All Implemented Interfaces:
    `Writable`
  Enclosing class:
    LinkDumper

      public static class LinkDumper.LinkNodes
      extends Object
      implements Writable

  Writable class which holds an array of LinkNode objects.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LinkNodes()` |
    `LinkNodes​(LinkDumper.LinkNode[] links)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `LinkDumper.LinkNode[]` | `getLinks()` |
    `void` | `readFields​(DataInput in)` |
    `void` | `setLinks​(LinkDumper.LinkNode[] links)` |
    `void` | `write​(DataOutput out)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LinkNodes

          public LinkNodes()

    - #### LinkNodes

          public LinkNodes​(LinkDumper.LinkNode[] links)

  - ### Method Detail

    - #### getLinks

          public LinkDumper.LinkNode[] getLinks()

    - #### setLinks

          public void setLinks​(LinkDumper.LinkNode[] links)

    - #### readFields

          public void readFields​(DataInput in)
                          throws IOException

      Specified by:
        `readFields` in interface `Writable`
      Throws:
        `IOException`

    - #### write

          public void write​(DataOutput out)
                     throws IOException

      Specified by:
        `write` in interface `Writable`
      Throws:
        `IOException`